CREATE TABLE gtg_ts_supplier (
    ETL_SEQUENCE_ID                  NUMBER(19, 0) ,
    ETL_VERSION_NUMBER               NUMBER(18, 0) ,
    DELETE_VERSION_NUMBER            NUMBER(18, 0) ,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    ALLOW_AWT_FLAG                   VARCHAR2(4)   ,
    AT1                              VARCHAR2(600) ,
    AT2                              VARCHAR2(600) ,
    AT3                              VARCHAR2(600) ,
    AWT_GROUP_ID                     NUMBER(18, 0) ,
    BC_NOT_APPLICABLE_FLAG           VARCHAR2(4)   ,
    BUSINESS_RELATIONSHIP            VARCHAR2(120) ,
    CORPORATE_WEBSITE                VARCHAR2(600) ,
    CREATION_SOURCE                  VARCHAR2(100) ,
    CUSTOMER_NUM                     VARCHAR2(100) ,
    ENABLED_FLAG                     VARCHAR2(4)   ,
    END_DATE_ACTIVE                  DATE          ,
    FEDERAL_REPORTABLE_FLAG          VARCHAR2(4)   ,
    HZPARTIES_CB                     VARCHAR2(256) ,
    HZPARTIES_CD                     TIMESTAMP(6)  ,
    HZPARTIES_LUB                    VARCHAR2(256) ,
    HZPARTIES_LUD                    TIMESTAMP(6)  ,
    HZPARTYID                        NUMBER(18, 0) ,
    MINORITY_GROUP_LOOKUP_CODE       VARCHAR2(100) ,
    NAME_CONTROL                     VARCHAR2(16)  ,
    NI_NUMBER_FLAG                   VARCHAR2(4)   ,
    OFFSET_TAX_FLAG                  VARCHAR2(4)   ,
    ONE_TIME_FLAG                    VARCHAR2(4)   ,
    ORGANIZATION_TYPE_LOOKUP_CODE    VARCHAR2(120) ,
    PARTYID                          NUMBER(18, 0) ,
    PARTY_NAME                       VARCHAR2(1440),
    POZSUPPLIERS_CB                  VARCHAR2(256) ,
    POZSUPPLIERS_CD                  TIMESTAMP(6)  ,
    POZSUPPLIERS_LUB                 VARCHAR2(256) ,
    POZSUPPLIERS_LUD                 TIMESTAMP(6)  ,
    SMALL_BUSINESS_FLAG              VARCHAR2(4)   ,
    STANDARD_INDUSTRY_CLASS          VARCHAR2(100) ,
    STATE_REPORTABLE_FLAG            VARCHAR2(4)   ,
    SUPPLIERNUMBER                   VARCHAR2(120) ,
    TAXPAYER_COUNTRY                 VARCHAR2(8)   ,
    TAX_REPORTING_NAME               VARCHAR2(320) ,
    TAX_VERIFICATION_DATE            DATE          ,
    TYPE_1099                        VARCHAR2(40)  ,
    VAT_CODE                         VARCHAR2(120) ,
    VAT_REGISTRATION_NUM             VARCHAR2(80)  ,
    VENDOR_ID                        NUMBER(18, 0) ,
    VENDOR_TYPE_LOOKUP_CODE          VARCHAR2(120) ,
    WOMEN_OWNED_FLAG                 VARCHAR2(4)   ,
    ETL_SEQUENCE_ID                  NUMBER(19, 0) ,
    ETL_VERSION_NUMBER               NUMBER(18, 0) ,
    DELETE_VERSION_NUMBER            NUMBER(18, 0) ,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    ALLOW_AWT_FLAG                   VARCHAR2(4)   ,
    AT1                              VARCHAR2(600) ,
    AT2                              VARCHAR2(600) ,
    AT3                              VARCHAR2(600) ,
    AWT_GROUP_ID                     NUMBER(18, 0) ,
    BC_NOT_APPLICABLE_FLAG           VARCHAR2(4)   ,
    BUSINESS_RELATIONSHIP            VARCHAR2(120) ,
    CORPORATE_WEBSITE                VARCHAR2(600) ,
    CREATION_SOURCE                  VARCHAR2(100) ,
    CUSTOMER_NUM                     VARCHAR2(100) ,
    ENABLED_FLAG                     VARCHAR2(4)   ,
    END_DATE_ACTIVE                  DATE          ,
    FEDERAL_REPORTABLE_FLAG          VARCHAR2(4)   ,
    HZPARTIES_CB                     VARCHAR2(256) ,
    HZPARTIES_CD                     TIMESTAMP(6)  ,
    HZPARTIES_LUB                    VARCHAR2(256) ,
    HZPARTIES_LUD                    TIMESTAMP(6)  ,
    HZPARTYID                        NUMBER(18, 0) ,
    MINORITY_GROUP_LOOKUP_CODE       VARCHAR2(100) ,
    NAME_CONTROL                     VARCHAR2(16)  ,
    NI_NUMBER_FLAG                   VARCHAR2(4)   ,
    OFFSET_TAX_FLAG                  VARCHAR2(4)   ,
    ONE_TIME_FLAG                    VARCHAR2(4)   ,
    ORGANIZATION_TYPE_LOOKUP_CODE    VARCHAR2(120) ,
    PARTYID                          NUMBER(18, 0) ,
    PARTY_NAME                       VARCHAR2(1440),
    POZSUPPLIERS_CB                  VARCHAR2(256) ,
    POZSUPPLIERS_CD                  TIMESTAMP(6)  ,
    POZSUPPLIERS_LUB                 VARCHAR2(256) ,
    POZSUPPLIERS_LUD                 TIMESTAMP(6)  ,
    SMALL_BUSINESS_FLAG              VARCHAR2(4)   ,
    STANDARD_INDUSTRY_CLASS          VARCHAR2(100) ,
    STATE_REPORTABLE_FLAG            VARCHAR2(4)   ,
    SUPPLIERNUMBER                   VARCHAR2(120) ,
    TAXPAYER_COUNTRY                 VARCHAR2(8)   ,
    TAX_REPORTING_NAME               VARCHAR2(320) ,
    TAX_VERIFICATION_DATE            DATE          ,
    TYPE_1099                        VARCHAR2(40)  ,
    VAT_CODE                         VARCHAR2(120) ,
    VAT_REGISTRATION_NUM             VARCHAR2(80)  ,
    VENDOR_ID                        NUMBER(18, 0) ,
    VENDOR_TYPE_LOOKUP_CODE          VARCHAR2(120) ,
    WOMEN_OWNED_FLAG                 VARCHAR2(4)   ,
    CONSTRAINT pk_gtg_ts_supplier PRIMARY KEY (ETL_SEQUENCE_ID, ETL_VERSION_NUMBER, ETL_SEQUENCE_ID, ETL_VERSION_NUMBER)
);
